## kf6-threadweaver 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
project(ThreadWeaver VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(ECMAddQch)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(threadweaver_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/threadweaver_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX THREADWEAVER
                        VERSION_HEADER "${threadweaver_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ThreadWeaverConfigVersion.cmake"
                        SOVERSION 6)
# --
ecm_set_disabled_deprecation_versions(
    QT 6.8.0
)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(benchmarks)
endif()
add_subdirectory(examples)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6ThreadWeaver")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6ThreadWeaver_QCH
        FILE KF6ThreadWeaverQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6ThreadWeaverQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6ThreadWeaverConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6ThreadWeaverConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES ${threadweaver_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ThreadWeaver COMPONENT Devel)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ThreadWeaverConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ThreadWeaverConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6ThreadWeaverTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6ThreadWeaverTargets.cmake NAMESPACE KF6:: )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-threadweaver 6.3.0

=== debian/changelog ===
kf6-threadweaver (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:54:28 +0200

kf6-threadweaver (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 04 Apr 2024 20:01:55 +0200

threadweaver (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015689).

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Mar 2024 23:53:05 +0100

threadweaver (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:33 +0200

threadweaver (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:53 +0100

threadweaver (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:25 +0100

threadweaver (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:03 +0100

threadweaver (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:25 +0100

threadweaver (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:59 +0100

threadweaver (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:39 +0200

threadweaver (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:31 +0200

threadweaver (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:00 +0200

threadweaver (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:03 +0200

threadweaver (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

threadweaver (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

threadweaver (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:43 +0900

threadweaver (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:06:31 +0900

threadweaver (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:50 +0900

threadweaver (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:08:13 +0900

threadweaver (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:13 +0900

threadweaver (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:33:35 +0900

threadweaver (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:27:27 +0900

threadweaver (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:22 +0900

threadweaver (5.80.0-1) experimental; urgency=medium



=== debian/control ===
Source: kf6-threadweaver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/threadweaver
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver.git
Rules-Requires-Root: no

Package: libkf6threadweaver-dev
Section: libdevel
Architecture: any
Depends: libkf6threadweaver6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6threadweaver-doc (= ${source:Version}),
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6threadweaver-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6threadweaver6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.

## kf6-threadweaver 6.6.0

=== debian/changelog ===
kf6-threadweaver (6.6.0-0zneon+22.04+jammy+release+build2) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 07:11:31 +0000

kf6-threadweaver (6.6.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:52:38 +0000

kf6-threadweaver (6.4.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:52:12 +0000

kf6-threadweaver (6.3.0-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 12 Jun 2024 10:47:15 +1000

kf6-threadweaver (6.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:32:12 +0000

kf6-threadweaver (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-threadweaver (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

=== debian/control ===
Source: kf6-threadweaver
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/threadweaver
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-threadweaver.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-threadweaver
Maintainer: Neon CI <neon@kde.org>

Package: kf6-threadweaver
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6threadweaver6
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.

Package: kf6-threadweaver-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-threadweaver (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6threadweaver-dev, libkf6threadweaver-doc
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6threadweaver6
Architecture: all
Depends: kf6-threadweaver, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6threadweaver-dev
Architecture: all
Depends: kf6-threadweaver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6threadweaver-doc
Architecture: all
Depends: kf6-threadweaver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-threadweaver 6.10.0

=== debian/changelog ===
kf6-threadweaver (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:59 +0100

kf6-threadweaver (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:01:36 +0100

kf6-threadweaver (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:29 -0600

kf6-threadweaver (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:25 +0200

kf6-threadweaver (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 12:52:40 +0200

kf6-threadweaver (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:02 +0200

kf6-threadweaver (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:22 +0200

=== debian/control ===
Source: kf6-threadweaver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.10.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.6.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/threadweaver
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver.git
Rules-Requires-Root: no

Package: libkf6threadweaver-dev
Section: libdevel
Architecture: any
Depends: libkf6threadweaver6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6threadweaver-doc (= ${source:Version}),
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6threadweaver-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6threadweaver6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.

## kf6-threadweaver 6.11.0

=== debian/changelog ===
kf6-threadweaver (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:00:10 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),

## kf6-threadweaver 6.12.0

=== debian/changelog ===
kf6-threadweaver (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:56:47 +0000

kf6-threadweaver (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:51:47 +0000

kf6-threadweaver (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:23:02 +0000

kf6-threadweaver (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:51:00 +0000

kf6-threadweaver (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:40:24 +0000

kf6-threadweaver (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:10:05 +0100

kf6-threadweaver (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:53 +0100

kf6-threadweaver (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Disable autotests at build time

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:37:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: kf6-threadweaver
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/threadweaver
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
 Rules-Requires-Root: no
 
 Package: libkf6threadweaver-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6threadweaver6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6threadweaver-doc (= ${source:Version}),
 Description: ThreadWeaver library to help multithreaded programming in Qt

## kf6-threadweaver 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -36,7 +36,7 @@
                         SOVERSION 6)
 # --
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
+    QT 6.9.0
 )
 add_subdirectory(src)
 if (BUILD_TESTING)

=== src/CMakeLists.txt ===
add_library(KF6ThreadWeaver)
add_library(KF6::ThreadWeaver ALIAS KF6ThreadWeaver)

set_target_properties(KF6ThreadWeaver PROPERTIES
    VERSION     ${THREADWEAVER_VERSION}
    SOVERSION   ${THREADWEAVER_SOVERSION}
    EXPORT_NAME ThreadWeaver
)

target_sources(KF6ThreadWeaver PRIVATE
    collection.cpp
    collection.h
    collection_p.cpp
    collection_p.h
    debuggingaids.cpp
    debuggingaids.h
    dependency.cpp
    dependency.h
    dependencypolicy.cpp
    dependencypolicy.h
    destructedstate.cpp
    destructedstate.h
    exception.cpp
    exception.h
    executewrapper.cpp
    executewrapper_p.h
    executor.cpp
    executor_p.h
    iddecorator.cpp
    iddecorator.h
    inconstructionstate.cpp
    inconstructionstate.h
    job.cpp
    job.h
    jobinterface.h
    job_p.cpp
    job_p.h
    jobpointer.h
    lambda.h
    managedjobpointer.h
    qobjectdecorator.cpp
    qobjectdecorator.h
    queueapi.cpp
    queueapi.h
    queue.cpp
    queue.h
    queueing.h
    queueinterface.h
    queuepolicy.h
    queuesignals.cpp
    queuesignals.h
    queuesignals_p.cpp
    queuesignals_p.h
    queuestream.cpp
    queuestream.h
    resourcerestrictionpolicy.cpp
    resourcerestrictionpolicy.h
    sequence.cpp
    sequence.h
    sequence_p.cpp
    sequence_p.h
    shuttingdownstate.cpp
    shuttingdownstate.h
    state.cpp
    state.h
    suspendedstate.cpp
    suspendedstate.h
    suspendingstate.cpp
    suspendingstate.h
    thread.cpp
    thread.h
    threadweaver.cpp
    threadweaver.h
    weaver.cpp
    weaver.h
    weaverimplstate.cpp
    weaverimplstate.h
    weaverinterface.h
    weaver_p.cpp
    weaver_p.h
    workinghardstate.cpp
    workinghardstate.h

)

ecm_generate_export_header(KF6ThreadWeaver
    BASE_NAME ThreadWeaver
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF6ThreadWeaver PUBLIC Qt6::Core)
set(threadweaver_BUILD_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(KF6ThreadWeaver PUBLIC "$<BUILD_INTERFACE:${threadweaver_BUILD_INCLUDE_DIRS}>")
target_include_directories(KF6ThreadWeaver INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/ThreadWeaver>")
#FIXME: make this PUBLIC, so that it applies to anything that links against
kde_target_enable_exceptions(KF6ThreadWeaver PRIVATE)

install(TARGETS KF6ThreadWeaver EXPORT KF6ThreadWeaverTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(ThreadWeaver_CamelCase_HEADERS
  HEADER_NAMES
    ThreadWeaver
    Weaver
    WeaverInterface
    QueueAPI
    QueueStream
    Queueing
    Exception
    QueueInterface
    Queue
    DebuggingAids
    Thread
    JobInterface
    Job
    IdDecorator
    QObjectDecorator
    Lambda
    State
    WeaverImplState
    InConstructionState
    WorkingHardState
    SuspendingState
    SuspendedState
    ShuttingDownState
    DestructedState
    Collection
    Sequence
    Dependency
    DependencyPolicy
    ResourceRestrictionPolicy
    QueueSignals
    QueuePolicy
    JobPointer
    ManagedJobPointer

    PREFIX ThreadWeaver
    REQUIRED_HEADERS ThreadWeaver_HEADERS
)
install(FILES ${ThreadWeaver_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ThreadWeaver/ThreadWeaver COMPONENT Devel)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/threadweaver_export.h
    ${ThreadWeaver_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ThreadWeaver/threadweaver COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF6ThreadWeaver_QCH
        NAME ThreadWeaver
        BASE_NAME KF6ThreadWeaver
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${ThreadWeaver_HEADERS}
            "${CMAKE_SOURCE_DIR}/docs/use-cases.md"
            "${CMAKE_SOURCE_DIR}/docs/whymultithreading.md"
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${threadweaver_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            THREADWEAVER_EXPORT
            THREADWEAVER_DEPRECATED
            THREADWEAVER_DEPRECATED_EXPORT
            "THREADWEAVER_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kf6-threadweaver (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:33:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: kf6-threadweaver
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/threadweaver
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver.git
 Rules-Requires-Root: no
 
 Package: libkf6threadweaver-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6threadweaver6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6threadweaver-doc (= ${source:Version}),
 Description: ThreadWeaver library to help multithreaded programming in Qt

## kf6-threadweaver 6.15.0

=== debian/changelog ===
kf6-threadweaver (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:37:15 +0100

kf6-threadweaver (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:02:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: kf6-threadweaver
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.15.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/threadweaver
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
 Rules-Requires-Root: no
 
 Package: libkf6threadweaver-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6threadweaver6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6threadweaver-doc (= ${source:Version}),
 Description: ThreadWeaver library to help multithreaded programming in Qt

## kf6-threadweaver 6.16.0

=== debian/changelog ===
kf6-threadweaver (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:50:08 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.15.0~),
+               extra-cmake-modules (>= 6.16.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),

## kf6-threadweaver 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -19,15 +19,12 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMDeprecationSettings)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(threadweaver_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/threadweaver_version.h")
 ecm_setup_version(PROJECT VARIABLE_PREFIX THREADWEAVER
@@ -36,7 +33,7 @@
                         SOVERSION 6)
 # --
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
+    QT 6.10.0
 )
 add_subdirectory(src)
 if (BUILD_TESTING)
@@ -47,16 +44,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6ThreadWeaver")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6ThreadWeaver_QCH
-        FILE KF6ThreadWeaverQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6ThreadWeaverQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -100,6 +100,8 @@
 #FIXME: make this PUBLIC, so that it applies to anything that links against
 kde_target_enable_exceptions(KF6ThreadWeaver PRIVATE)
 
+ecm_generate_qdoc(KF6ThreadWeaver threadweaver.qdocconf)
+
 install(TARGETS KF6ThreadWeaver EXPORT KF6ThreadWeaverTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 ecm_generate_headers(ThreadWeaver_CamelCase_HEADERS
@@ -148,31 +150,3 @@
     ${ThreadWeaver_HEADERS}
     DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ThreadWeaver/threadweaver COMPONENT Devel
 )
-
-if(BUILD_QCH)
-    ecm_add_qch(
-        KF6ThreadWeaver_QCH
-        NAME ThreadWeaver
-        BASE_NAME KF6ThreadWeaver
-        VERSION ${KF_VERSION}
-        ORG_DOMAIN org.kde
-        SOURCES # using only public headers, to cover only public API
-            ${ThreadWeaver_HEADERS}
-            "${CMAKE_SOURCE_DIR}/docs/use-cases.md"
-            "${CMAKE_SOURCE_DIR}/docs/whymultithreading.md"
-        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
-        LINK_QCHS
-            Qt6Core_QCH
-        INCLUDE_DIRS
-            ${threadweaver_BUILD_INCLUDE_DIRS}
-        BLANK_MACROS
-            THREADWEAVER_EXPORT
-            THREADWEAVER_DEPRECATED
-            THREADWEAVER_DEPRECATED_EXPORT
-            "THREADWEAVER_DEPRECATED_VERSION(x, y, t)"
-        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
-        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
-        COMPONENT Devel
-    )
-endif()
-

=== debian/changelog ===
kf6-threadweaver (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:19:59 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

## kf6-threadweaver 6.17.0+p24.04+vstable+git20250903.0809

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-threadweaver (6.17.0+p24.04+vstable+git20250903.0809-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 08:09:03 +0000

kf6-threadweaver (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:38:04 +0000

kf6-threadweaver (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 05:56:33 +0000

kf6-threadweaver (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:11:46 +0000

kf6-threadweaver (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:52:46 +0000

kf6-threadweaver (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:20:28 +0000

kf6-threadweaver (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:23:57 +0000

kf6-threadweaver (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:46:40 +0000

kf6-threadweaver (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:32:18 +0000

kf6-threadweaver (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:47:12 +0000

kf6-threadweaver (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 01:19:22 +0000

kf6-threadweaver (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:44:08 +0000

kf6-threadweaver (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:52:38 +0000

kf6-threadweaver (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:52:12 +0000

kf6-threadweaver (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:36:04 +1000

kf6-threadweaver (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:32:12 +0000

## kf6-threadweaver 6.18.0

=== benchmarks/CMakeLists.txt ===
find_package(Qt6Test ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

########### next target ###############

add_executable(ThreadWeaverQueueBenchmarks QueueBenchmarks.cpp)
# add_test(ThreadWeaverQueueBenchmarks ThreadWeaverQueueBenchmarks)

target_link_libraries(ThreadWeaverQueueBenchmarks Qt6::Test KF6::ThreadWeaver)
set_target_properties(ThreadWeaverQueueBenchmarks PROPERTIES MACOSX_BUNDLE FALSE)

=== debian/changelog ===
kf6-threadweaver (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:15:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: kf6-threadweaver
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/threadweaver
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-threadweaver
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-threadweaver.git
 Rules-Requires-Root: no
 
 Package: libkf6threadweaver-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6threadweaver6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6threadweaver-doc (= ${source:Version}),
 Description: ThreadWeaver library to help multithreaded programming in Qt
@@ -57,7 +56,8 @@
 Package: libkf6threadweaver6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: ThreadWeaver library to help multithreaded programming in Qt
  ThreadWeaver is a helper for multithreaded programming. It uses a job-based
  interface to queue tasks and execute them in an efficient way.  You simply

## kf6-threadweaver 6.18.0+p24.04+vstable+git20250908.2336

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-threadweaver (6.18.0+p24.04+vstable+git20250908.2336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:36:53 +0000

kf6-threadweaver (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:15:14 +0000

## kf6-threadweaver 6.18.0+p24.04+vunstable+git20250909.0005

=== debian/changelog ===
kf6-threadweaver (6.18.0+p24.04+vunstable+git20250909.0005-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 00:05:11 +0000
